curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5"
{
"id": 5,
"server_id": 2,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"auth_type": "bearer",
"auth_credentials": null,
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
},
"cache_ttl": 0,
"timeout": 30,
"sort_order": 0,
"status": "active",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
Retrieve a single tool by ID.
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5"
{
"id": 5,
"server_id": 2,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"auth_type": "bearer",
"auth_credentials": null,
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
},
"cache_ttl": 0,
"timeout": 30,
"sort_order": 0,
"status": "active",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5"
{
"id": 5,
"server_id": 2,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"auth_type": "bearer",
"auth_credentials": null,
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
},
"cache_ttl": 0,
"timeout": 30,
"sort_order": 0,
"status": "active",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}